VERSION 1.0 CLASS
BEGIN
  MultiUse = -1  'True
  Persistable = 0  'NotPersistable
  DataBindingBehavior = 0  'vbNone
  DataSourceBehavior  = 0  'vbNone
  MTSTransactionMode  = 0  'NotAnMTSObject
END
Attribute VB_Name = "CMarkupEvents"
Attribute VB_GlobalNameSpace = False
Attribute VB_Creatable = True
Attribute VB_PredeclaredId = False
Attribute VB_Exposed = False
Option Explicit

' Programmed by Jason Peter Brown (jbrown@statslog.com)
' Public Domain, no warranty, use at own risk!

Public Event AttributeClicked(ByVal p_AttributeId As SampleAttributes, ByVal p_Check As Boolean)
Public Event SwitchClicked(ByVal p_SwitchId As SampleSwitches)

Private mo_AttributeMouseDown As Object

Public Sub AttributeMouseDown(Reserved1 As Object, Reserved2 As Object)
   Set mo_AttributeMouseDown = Reserved1
End Sub

Public Sub AttributeMouseUp(Reserved1 As Object, Reserved2 As Object)
   Dim l_AttribId As Long
   Dim l_SourceId As Long
   Dim l_CheckAttribute As Boolean
   
   If Not Reserved1 Is mo_AttributeMouseDown Then
      Exit Sub
   End If
      
   On Error Resume Next
   l_SourceId = Reserved1.Source
   On Error GoTo 0
   
   Select Case l_SourceId
   Case Is > 200
      l_AttribId = l_SourceId - 200
      l_CheckAttribute = True
   Case Is > 100
      l_AttribId = l_SourceId - 100
   End Select
   
   RaiseEvent AttributeClicked(l_AttribId, l_CheckAttribute)
End Sub

Public Sub SwitchMouseUp(Reserved1 As Object, Reserved2 As Object)
   RaiseEvent SwitchClicked(Reserved1.Source - 300)
End Sub


